summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-irc/bnc
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-irc/bnc')
-rw-r--r--net-irc/bnc/Manifest1
-rw-r--r--net-irc/bnc/bnc-2.9.4.ebuild43
-rw-r--r--net-irc/bnc/files/bnc-2.9.3-64bit.patch20
-rw-r--r--net-irc/bnc/files/bnc-2.9.4-build.patch33
-rw-r--r--net-irc/bnc/metadata.xml5
5 files changed, 102 insertions, 0 deletions
diff --git a/net-irc/bnc/Manifest b/net-irc/bnc/Manifest
new file mode 100644
index 00000000000..8a3a0620a34
--- /dev/null
+++ b/net-irc/bnc/Manifest
@@ -0,0 +1 @@
+DIST bnc2.9.4.tar.gz 76896 SHA256 af0e95c97feb1f2d231c570a658be8e42a91aafab6e6dfeb04b7e9fcc360b74b SHA512 131c25624c2a72494f900c6247e5569df48700223664487944ac42b0d892ea62f7d0e67a9ba4609cd936718365075c428e756074e349e1e041186c43cd16da23 WHIRLPOOL 5899dce7edb2bb3dfd4598579753acc8936889e5ef2c3d9cec61d25aa0f93f883c270aa929683ad8011f0d08cd098d0c5f90d4c37b8c00c09bc5e02f86b8af3b
diff --git a/net-irc/bnc/bnc-2.9.4.ebuild b/net-irc/bnc/bnc-2.9.4.ebuild
new file mode 100644
index 00000000000..4ef139755e4
--- /dev/null
+++ b/net-irc/bnc/bnc-2.9.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+MY_P=${P/-/}
+DESCRIPTION="BNC (BouNCe) is used as a gateway to an IRC Server"
+HOMEPAGE="http://gotbnc.com/"
+SRC_URI="http://gotbnc.com/files/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ppc ~s390 sparc x86"
+IUSE="ssl"
+
+DEPEND="ssl? ( dev-libs/openssl )"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i -e 's:./mkpasswd:/usr/bin/bncmkpasswd:' bncsetup || die
+ epatch "${FILESDIR}"/${P}-build.patch
+ epatch "${FILESDIR}"/${PN}-2.9.3-64bit.patch
+}
+
+src_compile() {
+ econf $(use_with ssl) || die "econf failed"
+ emake || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ mv "${D}"/usr/bin/{,bnc}mkpasswd || die
+ dodoc Changelog README example.conf motd
+}
+
+pkg_postinst() {
+ einfo "You can find an example motd/conf file here:"
+ einfo " /usr/share/doc/${PF}/"
+}
diff --git a/net-irc/bnc/files/bnc-2.9.3-64bit.patch b/net-irc/bnc/files/bnc-2.9.3-64bit.patch
new file mode 100644
index 00000000000..0eb94a4817c
--- /dev/null
+++ b/net-irc/bnc/files/bnc-2.9.3-64bit.patch
@@ -0,0 +1,20 @@
+--- bnc2.9.3-orig/server.c 2005-02-07 01:29:11.000000000 +0000
++++ bnc2.9.3/server.c 2005-09-22 18:10:18.000000000 +0100
+@@ -398,7 +398,7 @@
+ int send_queued(struct lsock *ls)
+ {
+ int res;
+- int length;
++ size_t length;
+ char *msg;
+
+ while(sbuf_getlength(&ls->sendq) > 0)
+@@ -1114,7 +1114,7 @@
+ int dccsend(int fd, struct sbuf *sendq)
+ {
+ int res;
+- int length;
++ size_t length;
+ char *msg;
+
+
diff --git a/net-irc/bnc/files/bnc-2.9.4-build.patch b/net-irc/bnc/files/bnc-2.9.4-build.patch
new file mode 100644
index 00000000000..b6fb9762372
--- /dev/null
+++ b/net-irc/bnc/files/bnc-2.9.4-build.patch
@@ -0,0 +1,33 @@
+--- Makefile.in
++++ Makefile.in
+@@ -1,8 +1,17 @@
+ LIBS=@LIBS@
+-CFLAGS=-O3 -Wall -include config.h
++CFLAGS=@CFLAGS@ -Wall -include config.h
+ CC=@CC@
++
++DESTDIR =
++prefix = @prefix@
++exec_prefix = @exec_prefix@
++bindir = @bindir@
+
+-ALL: bnc mkpasswd
++all ALL: bnc mkpasswd
++
++install: bnc mkpasswd
++ install -m 755 -d $(DESTDIR)$(bindir)
++ install -m 755 bnc mkpasswd bncchk bncsetup $(DESTDIR)$(bindir)
+
+ mkpasswd:mkpasswd.c
+ ${CC} ${CFLAGS} -o mkpasswd mkpasswd.c ${LIBS}
+--- configure.in
++++ configure.in
+@@ -35,7 +35,7 @@
+ dnl Check for SSL support.
+ AC_MSG_CHECKING(whether to enable SSL support)
+ AC_ARG_WITH(ssl,
+-[ -with-ssl Enable SSL support],
++[ --with-ssl Enable SSL support],
+ [ case "$withval" in
+ yes)
+ AC_MSG_RESULT(yes)
diff --git a/net-irc/bnc/metadata.xml b/net-irc/bnc/metadata.xml
new file mode 100644
index 00000000000..6ef15e900f1
--- /dev/null
+++ b/net-irc/bnc/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>net-irc</herd>
+</pkgmetadata>